Regression: Borders of windows and desktop background are displayed badly after suspend/resume

Bug #1667158 reported by SunBear on 2017-02-22
524
This bug affects 105 people
Affects Status Importance Assigned to Milestone
Linux Mint
Undecided
Unassigned
nvidia-graphics-drivers-375 (Ubuntu)
Undecided
Unassigned

Bug Description

== Update4: ==

The nvidia driver 375.66 is now part of the default repo.
Since the bugfix is contained in this driver, we should close the bug?!

== Update3: ==

nvidia delivered a new driver: 375.66

Contains the same bugfix as 381.09 beta

This driver can now be installed via ppa from Graphics Drivers Team and sudo apt-get update (see comment #54).

See https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa

Should driver 375.66 become the default driver for Ubuntu 17.04 - available without PPA ?!

== Update2: ==

nvidia delivered a new driver: 381.09 beta
https://devtalk.nvidia.com/default/topic/1002788

From release notes:

"Fixed a regression that caused corruption in certain applications, such as window border shadows in Unity, after resuming from suspend." (nvidia)

This driver can now be downloaded and installed manually from Nvidia link, or via ppa from Graphics Drivers Team and sudo apt-get update (see comment #54).

See https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa

== Update1: ==

Nvidia states that the bug will be fixed in the next release: https://devtalk.nvidia.com/default/topic/990898/linux/suspend-corrupts-window-manager-after-upgrade-to-378-09/2. However no timeline for the next release was mentioned.

Meanwhile workarounds have to be used to alleviate/overcome the bad window borders and title bar caused by driver version 375.39.

-- Possible workarounds for the time being --

- Alternative A: Keep using nvidia-375.39 with workarounds.
                 E.g. kill or replace compiz process. See comments #13 and
                      #44 given below for implementation details. Beware,
                      some users found the command killed applications
                      like Firefox or Thunderbird on resume while others
                      did not.
                 E.g. Use "unity" command (see comments #4 and #23)
                 E.g. Click an effect in CompizConfig Setting Manager
                      (CCSM) --> Effects. (see comment $5)
- Alternative B: Use alternative graphic drivers.
                 E.g. Install nvidia-340 package if that versions supports
                      your graphic card: sudo apt install nvidia-340. Or
                      use Nouveau display driver or other suitable drivers
                      available in System Settings --> Software & Updates
                      --> Additional Drivers.
- Alternative C: Downgrade to earlier driver versions that worked before
                 the updgrade occurred. E.g. use nvidia-367 package.
                 Beware, that this driver version has unfixed security
                 holes! Downgrading works in Yakkety, possibly also in
                 Xenial, but likely not in Zesty. Command to downgrade:
                 sudo apt install nvidia-367=367.57-0ubuntu3 libcuda1-
                 367=367.57-0ubuntu3 nvidia-opencl-icd-367=367.57-0ubuntu3

------------------------------------------------------------------------
Original text of this bug report:

My system graphic driver had just updated to 375.39 but Borders of pop-up windows are displayed badly. This is especially true after waking up from suspend mode. this driver is buggy. I am using Ubuntu 16.04. Any way to rectify this display problem?

hicarorios (hicarorios) wrote :

After the update, white borders appeared on the windows for me, some times the borders are glitch

SunBear (sunbear-c22) wrote :

I found a way to eliminate the problem (I think). I went into CompizConfig Setting Manager --> Effects and turned off all the effects like wobbling, water effect, motion blur and fading window). I don't not if the problem will reoccur but so far the border problems have stopped appearing and every thing is good again. Monitoring the situation.

SunBear (sunbear-c22) wrote :

I just had my system awaken from suspend mode and bad borders around pop up windows reappeared again. I confirm that my issue has not been resolved by what i did earlier. Attached image shows my issue.

Raghu (ra9hur) wrote :

Found a workaround here and works for now.
http://askubuntu.com/questions/883648/problem-with-latest-nvidia-drivers-375-39-and-378-13

Type-in "unity" from the terminal
$ unity

Believe, this should be done every time we reboot/suspend which is annoying.
OR
As suggested in the link, should revert to driver-367 which is from official repository

Is there a way to stay with driver-375 and still resolve this ?

SunBear (sunbear-c22) wrote :

The other work around I found was to click an effect in CompizConfig Setting Manager --> Effects. Some command is run at the backend which fixes the bad borders.

I also notice another issue with the new driver. The minimise button of the widow can fail to work. Also, sometimes the mouse click becomes unresponsive. I have to click the maximise button twice (i.e. the window will maximise and then revert to its normal size before it can work again) to resolve these issues.

Hope these findings can give insights to fix these bugs.

Mike Gresens (msg-72) wrote :

Have the same problem on Ubuntu 17.04.
The background image disappears too (all black).

I think the nvidia-driver 375.39 is recommended for Ubuntu 17.04, so there is no possibility to downgrade the driver.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-375 (Ubuntu):
status: New → Confirmed
soumen (soumenubuntu) wrote :

I have also experienced this issue with 375.39 as strange color strips around the windows while clicking right or typing anything in browser addressbar.

SunBear (sunbear-c22) wrote :

I uninstalled this ppa and the 375.39 driver. In it's place, I ran the NVIDIA-Linux-x86_64-375.39.run (NVIDIA's installation file) to install the 375.39 driver to see if these problems would go away or still occur. Verdict, the same driver issues I had described previously also occurs.

Sébastien (sebastien-arod) wrote :

I have the same issue with nvidia 378.13 driver.
Disabling animations using compize config seems to help

Sébastien (sebastien-arod) wrote :

Disabling animations was not a real solution.
Apparently disabling/enabling anomations using compiz config resets something and artifacts disappear but only until next suspend/resume.
So it's a good workaround to avoid a restart the system but it does not solve the problem.

experimancer (experimancer) wrote :

I am on Ubuntu 16.04 / ZBook -laptop with "NVIDIA binary driver - version 375.39" and have the same issue every time my laptop wakes from suspend. The window borders are all white and the cannott moved or acted on.

My workaround is simple. Just "ps aux | grep compiz" and check the process number and kill compiz always after machine wakes from suspend and when in your sessioon.

That recoveres from the issue completely (but only to reappear when the next suspend occurs). CCMS effect togglings did not help, not other workarounds I've seen elsewhere..

HTH

SunBear (sunbear-c22) wrote :

@experimancer Thank you for sharing.

Given that simply killing compiz process fixes the bad border problem, I have tested a solution that works on my Ubuntu 16.04 system every time after the system wakes. 2 steps solution. Hope it can help others.

Step 1:
=======
I created a script called "fixbadborders" in the directory /lib/systemd/system-sleep.
It contained the following:
#!/bin/sh
## This file (or a link to it) must be in the folder /lib/systemd/system-sleep/
## Purpose: Kill compiz after system wakes up from sleep.
## This will fix bad window borders caused by Nvidia driver 375.39.
kill $(ps -C compiz -o pid=)

Step 2:
=======
Allowed the script to have executable permission with:
sudo chmod +x fixbadborders

SunBear (sunbear-c22) wrote :

A better temporary solution until Nvidia fixes the real issue...

@SunBear Thank you, can also confirm that your script works on 16.04 with 375.39. It also seems better than restarting unity, as Chrome and the electrons apps also function properly after compiz restarts.
Still, looking forward to an oficial fix as well.

SunBear (sunbear-c22) wrote :

@claraferreira6 I tested my script on 16.04 with 375.39. Gratitude to @experimancer for sharing his solution.

MV (mvidal) wrote :

Important : nvidia 375.39 is now the driver for Yakkety 16.10 so the problem is going to extend dramatically.

I discovered it this morning.

Karl Martell (martellkarl) wrote :

Same here. Are rather annoying bug as the driver was installed automatically. Any chance to revert to an older, unaffected driver?

Thanks to SunBear for his script.

I hope Nvidia fixes this problem asap.

David DIDIER (c-inconnu1) wrote :

I can't revert to nvidia-367 because it seems that this is just a "pointer" to nvidia-375 now ???

Lucas Picchi (picchi-lucas) wrote :

Yes, nvidia-375 is default driver now. It seems like a poor beta testing is going to fuck up a big amount of computers D: Thanks for the workaround!

Jan Rathmann (kaiserclaudius) wrote :

I'm seeing this too on Yakkety. As a temporary workaround, installing nvidia-340 (the older driver version) fixes the problem.

My graphics board:
$lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 430] (rev a1)

There is a discussion on devtalk.nvidia.com about this issue where a nvidia employee is stating that the bug will be fixed in the next release:
https://devtalk.nvidia.com/default/topic/990898/linux/suspend-corrupts-window-manager-after-upgrade-to-378-09/2

Same problem here.

I've tested @SunBear script and it indeed fixes the borders, however it also kills my apps including Google Chrome.

Gianpaolo (gianpaolo-dinino) wrote :

This affects my dell as well

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 540M] (rev a1)

Ubuntu 16.04 drivers version: 378.13

working workarounds:

close session and re-login
open console and launch command unity

But this is annoying :)

n1k31t4 (n1k31t4) wrote :

Same issue confirmed again on 16.04 using 375.

Using either of the following commands to see status and compiz PID to kill it works for me as others have mentioned:

test@test:~$ nvidia-smi
Fri Mar 24 08:39:34 2017
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 375.39 Driver Version: 375.39 |
|-------------------------------+----------------------+----------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 TITAN X (Pascal) Off | 0000:01:00.0 On | N/A |
| 26% 44C P8 15W / 250W | 508MiB / 12188MiB | 0% Default |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Processes: GPU Memory |
| GPU PID Type Process name Usage |
|=============================================================================|
| 0 1287 G /usr/lib/xorg/Xorg 269MiB |
| 0 1981 G compiz 230MiB |
| 0 2652 G /usr/lib/firefox/plugin-container 2MiB |
| 0 4122 G unity-control-center 2MiB |
+-----------------------------------------------------------------------------+

test@test:~$ ps -C compiz
  PID TTY TIME CMD
 1981 ? 00:01:12 compiz

test@test:~$ kill 1981

I had also created a question on Stackoverflow before I found this reported bug:
http://askubuntu.com/questions/895921/all-windows-showing-fuzzy-shadowing-after-waking-from-suspend

summary: - Borders of pop-up windows are displayed badly
+ Regression: Borders of windows and desktop background are displayed
+ badly after suspend/resume
Jan Rathmann (kaiserclaudius) wrote :

If there are people on Yakkety who can't use nvidia-340 for their card, this command should work to temporarily downgrade to nvidia-367:

sudo apt install nvidia-367=367.57-0ubuntu3 libcuda1-367=367.57-0ubuntu3 nvidia-opencl-icd-367=367.57-0ubuntu3

I have not tested if this will also work on Xenial.

Same here. Except, this now happens on every resume from suspend with the latest nvidia 375.39-0ubuntu0.16.10.1 driver. Before this upgrade, it happened once or twice (with daily suspend-resume cycle) in total since I upgraded from 16.04 to 16.10 last year.

Sini (jozsef-sin) wrote :

Same ugly borders when resuming from suspend.

Ubuntu: 16.04.2 LTS
Lenovo Y580
VGA: NVIDIA Corporation GK107M [GeForce GTX 660M]

Henry Duwood (henry0001) wrote :

Same bug. And now, the drivers 375.39 are the Nvidia drivers from the official Ubuntu repository !

Ubuntu 16.04.2 LTS,
Core i7 6700hq,
Nvidia GTX 1070.

K cM (kcm.) wrote :

Same in Mint 18.1 Serena w/ Mate desktop
Distributor ID: LinuxMint
Description: Linux Mint 18.1 Serena
Release: 18.1
Codename: serena

367 was fine, 375 get the messed up boarders on menu and panels.
Official distro drivers only. No ppa's.

no longer affects: linuxmint
Changed in linuxmint:
status: New → Confirmed

Same thing for me. Borders all pixely and crappy after resume from suspend. CompizConfig disabling "Fading Windows" in Effects fixed it for me. Thanks for the suggestion to disable effects. Screenshot of ugly window attached.

John Feole (jfeole) wrote :

I am seeing this issue as well afte rupdating to latest NVIDIA driver.

Running:
-
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.5 LTS"
-
Nvidia Driver:
375.39
-

Nvidia 560M video card.

Rubén (rubencp2847) wrote :

Same bug.

Ubuntu 16.04.2 LTS,
Core i7 6700hq,
Nvidia GTX 950m

Roman Gelembjuk (gelembjuk) wrote :

Same for me

Kaz Wolfe (kazwolfe) wrote :

Related to bug #1292830.

Vorona (karma-namgyel) wrote :

Same for me (large white borders full of random-disposed black and red dots, plus various lines ...), Asus X751L laptop with NVidia Geforce 940M (375.39 proprietary driver) running Ubuntu 16.04.

Mark Thornton (mthornton-2) wrote :

Not just borders. I suspect it is anything drawn from images held in graphics card memory. All of these images should be invalidated on resume, but instead we just get whatever junk is present. I have applications where the entire display area is corrupted. These applications do use volatile images and are not being notified that the images need to be recreated.

Sven Neuhaus (sven0) wrote :

Same here. When I kill compiz it does not get started again automatically.. how come? (I'm on 16.04)

vehka (heikki-wilenius) wrote :

GTX660 + 16.04 here, same bug.

Restarting Compiz is not a good workaround, since it also messes up the location of windows on virtual desktops.

vic (victorparmar) wrote :

This affects me as well. I use the following to reset my compiz:

killall compiz -HUP

@SvenNeuhaus Hello. Did you save the fixbadborders script in folder
/lib/systemd/system-sleep and make the file executable as mentioned in
comment #13?

On 30/03/2017 18:13, Sven Neuhaus wrote:
> Same here. When I kill compiz it does not get started again
> automatically.. how come? (I'm on 16.04)
>

SunBear (sunbear-c22) wrote :

I have tried the below command on command line.

compiz --replace

I got a lot of warnings and 2 errors, namely:
ERROR 2017-04-01 02:04:52 unity.glib.dbus.server GLibDBusServer.cpp:538 DBus name lost 'org.gnome.Shell'
ERROR 2017-04-01 02:04:52 unity.glib.dbus.server GLibDBusServer.cpp:538 DBus name lost 'com.canonical.Unity'

Other than that, bad borders are removed. Try that to see if it help. Pls share your findings on whether it works for you or not.

SunBear (sunbear-c22) wrote :

Correction. Try

compiz --replace &

Note:
1. w/o the '&' symbol, the command runs in the foreground and if you press Ctrl+C to terminate it accidentally, all windows title and menu bar disappears, and keyboard input to terminal can become unresponsive. Have to reboot system.

2. with the '&' symbol, commands runs in the background of the terminal. When terminal is closed, the old compiz is closed too and a new compiz process gets started.

SunBear (sunbear-c22) wrote :

Update on my findings:

There are 3 versions of Ubuntu 16.04 LTS to date:
1. Ubuntu 16.04 LTS (released on 21st Apr 2016)
2. Ubuntu 16.04.1 LTS (Released on 21st Jul 2016)
3. Ubuntu 16.04.2 LTS (Released on 16th Feb 2017)

However, there appear to be two major versions of Linux kernel used for these Ubuntu releases. I have one version lock onto 4.4.0-64 and another system presently using 4.8.0-45 (recently installed using Ubuntu 16.04.2 Installer)

To see Linux Kernel version, run this command: uname -r

Based on my systems, I suggest the following temporary solutions:

Linux Kernel 4.4.0-xx --- refer to to comment 13. https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-375/+bug/1667158/comments/13

Linux kernel 4.8.0-xx --- After waking from suspend, manually issue this command in a terminal: compriz --replace &

If you have a way to automate the tmp solution for Linux Kernel 4.8.0-xx(Ubuntu 16.04.2) or have a better solutions, pls share. Appreciate.

Mike Gresens (msg-72) wrote :

So, what is current status?

Is it a bug in nvidia-driver 375.39 and 378.13 (both delivered 2017-02-14)?!
Does nvidia know about this bug??
Will nvidia deliver a bugfix?

Can we change the driver versions in our repositories (using 375.26 and 378.09) to avoid the show-stopper? I am using Gtx1080 with Ubuntu 17.04 -> ALL provided driver versions are buggy...

So, what's the plan for this bug?! Thanks!!

I don't know if it's a bug in the driver, but for comparison, 375.39 works fine on Debian Stretch / GNOME, there are no glitches after resume from suspend, on the same machine where this happens in Yakkety, in my case.

description: updated
description: updated
SunBear (sunbear-c22) on 2017-04-03
description: updated
SunBear (sunbear-c22) on 2017-04-06
description: updated
Mike Gresens (msg-72) wrote :

https://devtalk.nvidia.com/default/topic/1002788

Does the new nvidia driver 381.09 beta work?
Does the driver solve this bug?

description: updated
description: updated
Hui (huiprobable) wrote :

I ran into the same issue, and the method suggested by #13 fixes it. However, it also bypassed the password prompt when I try to wake up the computer from sleep (suspend). However, I'd like to recover the password protection when awakening from sleep. How should I do that?

SunBear (sunbear-c22) on 2017-04-08
description: updated
SunBear (sunbear-c22) wrote :

@MikeGresens Thanks for updating. According to the Nvidia update note on 381.09, it is suppose to fix the badborder issue. However, the ppa:graphics-drivers/ppa team has not uploaded it yet. To use it, the appropriate driver has to be manually downloaded (use the hyperlink provided in the webpage you provided) and installed.

Pavel (laxkin) wrote :
Download full text (3.9 KiB)

@SunBear, I just want to warning everyone, that drivers from the Nvidia
site (*.run files) if you try to install them could brake your system. For
more details see here:
http://askubuntu.com/questions/727995/login-loop-after-installing-nvidia-drivers-on-ubuntu-14-04
(also it's true for 16.x).

Pavel

On Fri, Apr 7, 2017 at 10:54 PM, SunBear <email address hidden> wrote:

> @MikeGresens Thanks for updating. According to the Nvidia update note on
> 381.09, it is suppose to fix the badborder issue. However, the ppa
> :graphics-drivers/ppa team has not uploaded it yet. To use it, the
> appropriate driver has to be manually downloaded (use the hyperlink
> provided in the webpage you provided) and installed.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1667158
>
> Title:
> Regression: Borders of windows and desktop background are displayed
> badly after suspend/resume
>
> Status in Linux Mint:
> Confirmed
> Status in nvidia-graphics-drivers-375 package in Ubuntu:
> Confirmed
>
> Bug description:
> == Update2: ==
>
> nvidia delivered a new driver: 381.09 beta
> https://devtalk.nvidia.com/default/topic/1002788
>
> From release notes:
>
> "Fixed a regression that caused corruption in certain applications,
> such as window border shadows in Unity, after resuming from suspend."
> (nvidia)
>
> == Update1: ==
>
> Nvidia states that the bug will be fixed in the next release:
> https://devtalk.nvidia.com/default/topic/990898/linux/suspend-
> corrupts-window-manager-after-upgrade-to-378-09/2. However no timeline
> for the next release was mentioned.
>
> Meanwhile workarounds have to be used to alleviate/overcome the bad
> window borders and title bar caused by driver version 375.39.
>
> -- Possible workarounds for the time being --
>
> - Alternative A: Keep using nvidia-375.39 with workarounds.
> E.g. kill or replace compiz process. See comments #13
> and
> #44 given below for implementation details. Beware,
> some users found the command killed applications
> like Firefox or Thunderbird on resume while others
> did not.
> E.g. Use "unity" command (see comments #4 and #23)
> E.g. Click an effect in CompizConfig Setting Manager
> (CCSM) --> Effects. (see comment $5)
> - Alternative B: Use alternative graphic drivers.
> E.g. Install nvidia-340 package if that versions
> supports
> your graphic card: sudo apt install nvidia-340. Or
> use Nouveau display driver or other suitable
> drivers
> available in System Settings --> Software &
> Updates
> --> Additional Drivers.
> - Alternative C: Downgrade to earlier driver versions that worked before
> the updgrade occurred. E.g. use nvidia-367 package.
> Beware, that this driver version has unfixed security
> holes! Downgrading works in Yakkety, possib...

Read more...

SunBear (sunbear-c22) wrote :

@Pavel Thank you for the reminder. ;)

Yes, I agree with you. Do manual installation if you are prepared to spend quite a bit of time tinkering about. Else, a user will find themselves having to go through a steep learning curve about lightdm, systemd, Xorg, Grub2, kdms and administrator bash commands, and heartaches if some issues arise after installation..... Be Warned. Do take this route if you need to or are prepared to tinker.

For users who want to avoid any tinkering, it may be better to use the workarounds until a non-beta driver version get released and the ppa team updates their driver.

Vorona (karma-namgyel) wrote :

lol ... just happened to me ...
Fortunately, one can switch to console (Ctl-Alt-F1) and apply code of Pavel's link (post #51), which is roughly what I did to recover, after trying to install 'nouveau' driver (installation succeeded via apt but system was looping on login page).

SunBear (sunbear-c22) wrote :

Michael from the "Graphics Drivers" Team has already uploaded the new 381.09 beta driver in their ppa 2 hours ago. So those using this ppa select this driver update soon.

For those not using it, this is the simplest way to have your nvidia graphic driver updated with the latest. You can access it via:

sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt-get update
sudo apt-get install nvidia-381

Thanks Michael.

SunBear (sunbear-c22) on 2017-04-08
description: updated
SunBear (sunbear-c22) wrote :

I have updated to Nvidia 381.09 driver via the ppa update route. The bad window borders caused by drivers 375.39 and 378.13 do not appear in this new driver. In my system, on the first reboot(after installing 381.09), I did get a black screen partially obscuring my unity desktop for a short while before the desktop wallpaper and menu bar appeared. On the next reboot, everything was back to normal again; desktop bootup was fast again.

For those who used the workaround described in comment #13, do remember to remove the "fixbadborders" file from directory "/lib/systemd/system-sleep" after you have installed the new 381.09 driver.

Mike Gresens (msg-72) wrote :

I have updated to Nvidia 381.09 driver via the ppa update route too.
No problems at all.
For me this bug is solved with new driver.

experimancer (experimancer) wrote :

Thanks @sunbear-c22 for sharing my workaround (https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-375/+bug/1667158/comments/12), simpler vesion in Bash shell that I'm currently using after resume from suspend:

kill $(ps -eo pid,comm | grep "compiz" | grep -v grep | awk '{print $1}')

which restarts compiz and restores normal window borders to all desktop screens and application windows.

Issue is still in my system, where the Nivida driver just got normal update to version 378.13, which still has the exact same issue.

BTW: how did you update your Nvidia to 381.09 (which seems to fix the issue)..?

experimancer (experimancer) wrote :

Ok, got it, found the PPA here: https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa and using synaptic installed the Nvidia 381 beta driver in my Xenial 16.04.01, and it seems to fix the issue.

Mike Gresens (msg-72) on 2017-04-09
description: updated
K cM (kcm.) wrote :

Did the ppa 381 install, seems fine after suspend/hib. resume on graphics/windows corruption issue but GPU fan STOPS WORKING!!
Only GPU throttling but NO FAN KICKING IN

Restart X won't fix it, only reboot.
Now it's getting dangerous...

HW: Clevo N150RD i7-6700HQ 16Gb Nvidia GTX960M
Distributor ID: LinuxMint
Description: Linux Mint 18.1 Serena
Release: 18.1
Codename: serena
4.4.0-70-generic #91-Ubuntu SMP Wed Mar 22 12:47:43 UTC 2017 GNU/Linux

K cM (kcm.) wrote :

Rolled back to 375.39, besides graph. corruption, the fan not kicking in after resume from suspend issue is also true.
Can anyone verify if this also happens with your system regardless of driver version?
You've got to run some 3d stuff to get the heat up like (firefox/chrome/vivaldi)
https://www.airtightinteractive.com/demos/ribbons/

SunBear (sunbear-c22) wrote :

@kcm.

I ran GPU calculations /NVIDIA_CUDA-8.0_Samples/5_Simulations/nbody/nbody and also https://www.airtightinteractive.com/demos/ribbons/ for about 20 mins.

Nvidia X Server Setting --> GPU 0 - (GForce GTX Titan)
--> Thermal Setting showed:
Temperature = 72 to 75 degrees C, Fan speed = ~1737rpm, 44%, Control type = variable, Cooling target = GPU, Memory & Power supply.
--> PowerMizer
performance level=3, graphic clock = 536 to 1202 MHz, Memory Transfer Rate = 6008 to 6008 MHz
set at maximum performance mode.

These results look ok, no overheating. I physically touched my GPU fan and it is running.

SunBear (sunbear-c22) wrote :

@experimencer Thanks again. It helped me tied over this period. ;)

@huiprobable To solve your issue, I think you have to run the script after passing password authentication. You might want to try driver 381.09 instead since it is now available.

Vorona (karma-namgyel) wrote :

I installed 381 using the ppa and it's working fine, so thanks to SunBear.
Temperature seems OK but since I'm on laptop (ASUS X751L with Geforce 940M - running Xenial) of course there is no specific fan for Graphic card. For information I'm adding 2 screenshots of sensors, before and after using a game pumping all graphic resources available.

K cM (kcm.) wrote :

@SunBear

Just to confirm I made my issue clear:

This only happens to me on resume after suspend/hib. cycle, then and only then fan STOPS WORKING and consequently TEMPS rise, GPU throttles, etc.

Before sleep/suspend/hib. all is ok with temps/ fan rotation.

Only after resume from sleep I get high temps and no fan.

Can you please confirm that your tests where made after resume from sleep state(s)?

Mike Gresens (msg-72) wrote :

For me with driver 381.09 the fan works fine (starting at ca. 50°C) and max. temperature < 70°C.
After suspend/resume all works fine too.

SunBear (sunbear-c22) wrote :

@kcm.
I tried both scenario. Before and after suspend. GPU performances are similar.

I have tried another test. While running the nbody simulation, I went into suspend mode. After waking, i found the nobody simulation stopped. However, i could not restart it because:
"Error: only 0 Devices available, 1 requested. Exiting."
The GPU was not freed up on waking from suspend mode although the cpu process was terminated when going into suspend mode.

K cM (kcm.) wrote :

@SunBear

Thanks for confirmation.

After some debate with nvidia devtalk, I tried different kernel (4.9 vs 4.4LTS) and fan operates after resume from sleep/hib.
This was due to fan speed control being done by motherboard and not nvidia driver. I'm on a laptop.

Thanks to all for tour input!

GFX corruption on my end is solved with 370 or 381 nvidia drivers.

J.D. Laub (ubuntu-laubster) wrote :

For me, 381.09 addressed the fat white borders around windows. However, cool-retro-term comes back with a completely white window. I can type "exit" into it to shut it down, & it acts normally after relaunching it. I haven't yet identified other programs unhappy after a resume under 381.09 - in particular, gnome-terminal works fine. https://github.com/Swordfish90/cool-retro-term .

I also installed ppa 381.09 on Ubuntu 17.04 and so far, it works fine :)

SunBear (sunbear-c22) wrote :

I am using cairo-dock alongside unity launcher. An issue I do encounter with using 381.09, is that after waking, certain icons/applet like gnome terminal, idle_python, gedit, Pidgin, musicplayer would not appear correctly unless a new GUI of these app is created/deleted. For music player I have to activate a function like play a song before the icon appearance is refreshed to appear correctly.

Limator (limator) wrote :

Hi at all. With Driver 381 are the artefacts gone, but after waking up is the performance extremly low! I've tested with phoronix-test-suite benchmark xonotic. My system is a Notebook with i7-7700HQ with NVIDIA GTX 1060 mobile. Does andybode has the same problem?

Mike Gresens (msg-72) on 2017-05-06
description: updated

Just installed 375.66 from the Graphic Drivers PPA (updated about a hour ago), and it fixed the suspension bug for me. All the windows and applications appear just fine.
So far I have not encountered any other bugs.

Mike Gresens (msg-72) on 2017-05-09
description: updated
Mike Gresens (msg-72) wrote :

Here the nvidia driver 375.66 installed via ppa works fine too. No problems.

opera (opera2) wrote :

Any chances we will see driver 375.66 in the official 17.04 repositories?

Mike Gresens (msg-72) wrote :

Would like to see driver 375.66 in the official 17.04 repositories too.

opera (opera2) wrote :

Driver Version 375.66 update is now available in the official 17.04 repositories.
Just updated and tested. The problem is fixed for me now.

Mike Gresens (msg-72) wrote :

Here the nvidia driver 375.66 installed via default repo works fine too. No problems.

Mike Gresens (msg-72) wrote :

So this bug should be closed?!

description: updated
Changed in nvidia-graphics-drivers-375 (Ubuntu):
status: Confirmed → Fix Released
SunBear (sunbear-c22) wrote :
Download full text (3.8 KiB)

Agree.

On 05/06/2017 22:31, Mike Gresens wrote:
> So this bug should be closed?!
>
> ** Description changed:
>
> + == Update4: ==
> +
> + The nvidia driver 375.66 is now part of the default repo.
> + Since the bugfix is contained in this driver, we should close the bug?!
> +
> == Update3: ==
>
> nvidia delivered a new driver: 375.66
>
> Contains the same bugfix as 381.09 beta
>
> This driver can now be installed via ppa from Graphics Drivers Team and
> sudo apt-get update (see comment #54).
>
> See https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa
>
> Should driver 375.66 become the default driver for Ubuntu 17.04 -
> available without PPA ?!
>
> == Update2: ==
>
> nvidia delivered a new driver: 381.09 beta
> https://devtalk.nvidia.com/default/topic/1002788
>
> From release notes:
>
> "Fixed a regression that caused corruption in certain applications, such
> as window border shadows in Unity, after resuming from suspend."
> (nvidia)
>
> This driver can now be downloaded and installed manually from Nvidia
> link, or via ppa from Graphics Drivers Team and sudo apt-get update (see
> comment #54).
>
> See https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa
>
> == Update1: ==
>
> Nvidia states that the bug will be fixed in the next release:
> https://devtalk.nvidia.com/default/topic/990898/linux/suspend-corrupts-
> window-manager-after-upgrade-to-378-09/2. However no timeline for the
> next release was mentioned.
>
> Meanwhile workarounds have to be used to alleviate/overcome the bad
> window borders and title bar caused by driver version 375.39.
>
> -- Possible workarounds for the time being --
>
> - Alternative A: Keep using nvidia-375.39 with workarounds.
> E.g. kill or replace compiz process. See comments #13 and
> #44 given below for implementation details. Beware,
> some users found the command killed applications
> like Firefox or Thunderbird on resume while others
> did not.
> E.g. Use "unity" command (see comments #4 and #23)
> E.g. Click an effect in CompizConfig Setting Manager
> (CCSM) --> Effects. (see comment $5)
> - Alternative B: Use alternative graphic drivers.
> E.g. Install nvidia-340 package if that versions supports
> your graphic card: sudo apt install nvidia-340. Or
> use Nouveau display driver or other suitable drivers
> available in System Settings --> Software & Updates
> --> Additional Drivers.
> - Alternative C: Downgrade to earlier driver versions that worked before
> the updgrade occurred. E.g. use nvidia-367 package.
> Beware, that this driver version has unfixed security
> holes! Downgrading works in Yakkety, possibly also in
> Xenial, but likely not in Zesty. Command...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers